workflow:
  rules:
    - if: $CI_PIPELINE_SOURCE == "merge_request_event"
    - if: $CI_PIPELINE_SOURCE == "push"

image: python:3.10

stages:
  - "tests"
  - "linters"

before_script:
    - pip install -r requirements.txt

mypy:
  stage: "linters"
  script:
    - "mypy app/"

black:
  stage: "linters"
  script:
    - "black --check --diff app/"

isort:
  stage: "linters"
  script:
    - "isort --check-only --profile black app/"

flake8:
  stage: "linters"
  script:
    - "flake8 app/"

tests:
  stage: "tests"
  script:
    - pytest tests/

